# $EPIC: afterw,v 1.6 2001/08/23 19:53:15 crazyed Exp $
Synopsis:
   $afterw(<word> <pattern list>)

Technical:
   * If the <word> argument is omitted this function returns the empty string.
   * The <pattern list> does not actually need to be a list of wildcard
	patterns.  A list of literal words will work just fine.
   * If <word> is not matched by any of the words in <pattern list>, this 
	function returns the empty string.
   * Otherwise, the function behaves "as if" the following had been performed:
	<val> = rmatch(<word> <word/pattern list>) + 1
	<function_return> = restw(<val> <word/pattern list>)
   * Historically <pattern list> does not support double-quoted words.
     This may change in the future.  Try using /xdebug extractw.

Practical:
   This function lets you get the part of <pattern list> that occurs AFTER
   the pattern that is the "best match" for <word>.  You can of course use
   this function with a list of literal words.

Returns:
   The portion of <pattern list> after the pattern that is the "best match"
   of <word>.  A word is always "best matched" by itself; see the help file
   on pattern matching for more detail.

Examples:
   $afterw(foobar one two foobar my shoe)    returns "my shoe"
   $afterw(booya one two foobar my shoe)     returns ""  (empty string)
   $afterw(foobar o* t* f* m* s*)            returns "m* s*"
   $afterw(booya o* t* f* m* s*)             returns ""  (empty string)
   $afterw(foobar f* fo* foobar foo* foob*)  returns "foo* foob*"

History:
   This function first appeared in "plus 2" (post-ircII, pre-EPIC)

See Also:
   rmatch(6); beforew(6); afterw(6); fromw(6); tow(6)

